%global enable_tests 1

Name:       nodejs-grunt-init
Version:    0.3.2
Release:    10%{?dist}
Summary:    Generate project scaffolding from a template when using Grunt
License:    MIT
URL:        https://github.com/gruntjs/grunt-init
Source0:    https://registry.npmjs.org/grunt-init/-/grunt-init-%{version}.tgz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(colors)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(hooker)
BuildRequires:  npm(prompt)
BuildRequires:  npm(semver)
%endif

%description
Grunt is the JavaScript task runner.

Grunt-init is a scaffolding tool used to automate project creation when using
Grunt. It will build an entire directory structure based on the current
environment and the answers to a few questions. The exact files and contents
created depend on the template chosen along with the answers to the questions
asked.


%prep
%setup -q -n package
%nodejs_fixdep prompt '~0.2'
%nodejs_fixdep semver '^5.1.0'
%nodejs_fixdep hooker '~0.2'
%nodejs_fixdep colors '^1.1.2'
%nodejs_fixdep grunt
%nodejs_fixdep lodash '>=1.3.1'
%nodejs_fixdep async '^1.5.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-init
cp -pr package.json tasks/ templates/ \
    %{buildroot}%{nodejs_sitelib}/grunt-init

install -p -D -m0755 bin/grunt-init \
    %{buildroot}%{nodejs_sitelib}/grunt-init/bin/grunt-init
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/grunt-init/bin/grunt-init \
    %{buildroot}%{_bindir}/grunt-init

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt test
%endif


%files
%doc AUTHORS README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-init
%{_bindir}/grunt-init


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 24 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.3.2-4
- fixdep grunt

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 0.3.2-2
- Update npm(semver) dependency

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Update to 0.3.2 upstream release
- Update npm(async) dependency
- Update npm(colors) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-1
- update to upstream release 0.3.1

* Sat Jan 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-2
- fix version of npm(semver) dependency
- improve description and summary

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-1
- initial package
